org.wildfly.swarm.config

## Class IO<T extends IO<T>>

- java.lang.Object
- - org.wildfly.swarm.config.IO<T>

- Direct Known Subclasses:
    IOFraction

      public class IO<T extends IO<T>>
      extends Object

  IO subsystem

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IO.IOResources` Child mutators for IO

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `bufferPool(BufferPool value)` Add the BufferPool object to the list of subresources
    `T` | `bufferPool(BufferPoolSupplier supplier)` Install a supplied BufferPool object to the list of subresources
    `T` | `bufferPool(String childKey)` Create and configure a BufferPool object to the list of subresources
    `T` | `bufferPool(String childKey, BufferPoolConsumer consumer)` Create and configure a BufferPool object to the list of subresources
    `T` | `bufferPools(List<BufferPool> value)` Add all BufferPool objects to this subresource
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `IO.IOResources` | `subresources()`
    `T` | `worker(String childKey)` Create and configure a Worker object to the list of subresources
    `T` | `worker(String childKey, WorkerConsumer consumer)` Create and configure a Worker object to the list of subresources
    `T` | `worker(Worker value)` Add the Worker object to the list of subresources
    `T` | `worker(WorkerSupplier supplier)` Install a supplied Worker object to the list of subresources
    `T` | `workers(List<Worker> value)` Add all Worker objects to this subresource

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IO

          public IO()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public IO.IOResources subresources()

    - #### workers

          public T workers(List<Worker> value)

      Add all Worker objects to this subresource
      Parameters:
        `value` - List of Worker objects.
      Returns:
        this

    - #### worker

          public T worker(Worker value)

      Add the Worker object to the list of subresources
      Parameters:
        `value` - The Worker to add
      Returns:
        this

    - #### worker

          public T worker(String childKey,
                          WorkerConsumer consumer)

      Create and configure a Worker object to the list of subresources
      Parameters:
        `key` - The key for the Worker resource
        `config` - The WorkerConsumer to use
      Returns:
        this

    - #### worker

          public T worker(String childKey)

      Create and configure a Worker object to the list of subresources
      Parameters:
        `key` - The key for the Worker resource
      Returns:
        this

    - #### worker

          public T worker(WorkerSupplier supplier)

      Install a supplied Worker object to the list of subresources

    - #### bufferPools

          public T bufferPools(List<BufferPool> value)

      Add all BufferPool objects to this subresource
      Parameters:
        `value` - List of BufferPool objects.
      Returns:
        this

    - #### bufferPool

          public T bufferPool(BufferPool value)

      Add the BufferPool object to the list of subresources
      Parameters:
        `value` - The BufferPool to add
      Returns:
        this

    - #### bufferPool

          public T bufferPool(String childKey,
                              BufferPoolConsumer consumer)

      Create and configure a BufferPool object to the list of subresources
      Parameters:
        `key` - The key for the BufferPool resource
        `config` - The BufferPoolConsumer to use
      Returns:
        this

    - #### bufferPool

          public T bufferPool(String childKey)

      Create and configure a BufferPool object to the list of subresources
      Parameters:
        `key` - The key for the BufferPool resource
      Returns:
        this

    - #### bufferPool

          public T bufferPool(BufferPoolSupplier supplier)

      Install a supplied BufferPool object to the list of subresources

Copyright © 2018 JBoss by Red Hat. All rights reserved.